Read Organization

Read a FHIR R4 Organization resource by logical ID.

Endpoint

GET /api/fhir/r4/Organization/{rid}

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4

Example request: GET /api/fhir/r4/Organization/00000000-0000-4000-8000-000000000009

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Organization/00000000-0000-4000-8000-000000000009

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]"}

Parameters

ParameterInRequiredTypeDescription
rid path true uuid Logical id of the Organization resource. Use the logical id of the resource.

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/Organization.r
Client grant/token request ddfssystem/Organization.r
Issued token's scope claim system/Organization.r

Example Response

{
  "resourceType": "Organization",
  "id": "00000000-0000-4000-8000-000000000009",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2020-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "documentation-example",
        "display": "Documentation example"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/organization",
      "value": "documentation-example"
    }
  ],
  "active": true,
  "type": [],
  "name": "Example organization",
  "alias": [],
  "telecom": [],
  "address": [
    {
      "line": [],
      "city": "Austin",
      "state": "TX",
      "postalCode": "78701"
    }
  ],
  "contact": [],
  "endpoint": []
}

Behavior

Reads a Organization resource by logical id.

cURL Example

curl.exe `
  -sS `
  --connect-timeout 10 `
  --max-time 90 `
  -X GET `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/Organization/00000000-0000-4000-8000-000000000009 `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]'

Status Codes

CodeStatus
200 Organization representation.

FHIR Definition

Canonical: https://hl7.org/fhir/R4/organization.html

Related Operations